Raritan PX2/PX3 JSON-RPC API: firmware::Firmware_2_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Member Functions | List of all members
firmware::Firmware_2_0_1 Interface Reference

Firmware management methods More...

`import"Firmware.idl";`

## Public Member Functions
void | reboot ()
| Reboot the device. More...
void | factoryReset ()
| Reset the device configuration to factory defaults.
int | hardFactoryReset ()
| Reset all device data to factory defaults. More...
string | getVersion ()
| Returns the currently installed firmware version. More...
vector< UpdateHistoryEntry > | getUpdateHistory ()
| Fetch the firmware update history. More...
ImageStatus | getImageStatus ()
| Get the current firmware image upload/download status. More...
void | discardImage ()
| Discard the currently uploaded firmware image, cancel the update.
boolean | getImageInfo (out ImageInfo_1_0_1 info)
| Return information about a currently uploaded firmware image. More...
void | startUpdate (in vector< UpdateFlags > flags)
| Launch the firmware update process. More...

## Detailed Description

Firmware management methods

## Member Function Documentation

## ◆ getImageInfo()

boolean firmware::Firmware_2_0_1::getImageInfo | ( | out ImageInfo_1_0_1 | info | ) |

Return information about a currently uploaded firmware image.

Parameters

  info | Firmware image information

Returns
  `true` if a firmware image is uploaded, `false` otherwise.

## ◆ getImageStatus()

ImageStatus firmware::Firmware_2_0_1::getImageStatus | ( |  | ) |

Get the current firmware image upload/download status.

Returns
  Image status structure.

## ◆ getUpdateHistory()

vector<UpdateHistoryEntry> firmware::Firmware_2_0_1::getUpdateHistory | ( |  | ) |

Fetch the firmware update history.

Returns
  Vector of firmware update history entries

## ◆ getVersion()

string firmware::Firmware_2_0_1::getVersion | ( |  | ) |

Returns the currently installed firmware version.

Returns
  Firmware version

## ◆ hardFactoryReset()

int firmware::Firmware_2_0_1::hardFactoryReset | ( |  | ) |

Reset all device data to factory defaults.

This includes energy counters, firmware update history and reliability data.

Note
  This command is only available during manufacturing!

Returns
  0 if OK
  1 if not in production mode

## ◆ reboot()

void firmware::Firmware_2_0_1::reboot | ( |  | ) |

Reboot the device.

This function will fail if a firmware update is in progress.

## ◆ startUpdate()

void firmware::Firmware_2_0_1::startUpdate | ( | in vector< UpdateFlags > | flags | ) |

Launch the firmware update process.

The device will stop handling RPC requests shortly after this method has been successfully called. The client should poll the fwupdate_progress.cgi page to monitor the update progress.

Parameters

  flags | List of firmware update flags; may be empty

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Firmware.idl